import 'package:flutter/material.dart';

class CircleIconView extends StatelessWidget {
  final Widget icon;
  final double radius;
  final void Function() onPressed;

  CircleIconView({Key key, this.icon, this.radius, this.onPressed}): super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
        decoration: BoxDecoration(
            shape: BoxShape.circle,
            boxShadow: [
              BoxShadow(
                color: Color(0x11000000),
                blurRadius: 6.0,
                spreadRadius: 2.0,
              )
            ]),
        child: ClipOval(
          child: Container(
            width: radius ?? 25.0,
            height: radius ?? 25.0,
            color: Colors.white,
            child: Material(
              child: InkWell(
                onTap: onPressed,
                child: icon,
              ),
            ),
          ),
        )
    );
  }
}
