import 'package:view_helper/src/Helpers/Views/AppBarView.dart';
import 'package:view_helper/src/Helpers/Views/BodyView.dart';
import 'package:view_helper/src/Helpers/Views/ButtonView.dart';
import 'package:flutter/material.dart';

class InputView extends StatelessWidget {
  final String info;
  final String text;
  final String buttonText;
  final Function() navigate;
  final bool validate;
  final Widget child;
  final Widget footer;

  InputView({
    this.info,
    this.text,
    this.buttonText,
    this.navigate,
    this.validate,
    this.child,
    this.footer
  });
  
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppbarView(
        title: Text("Perennial Dawn"),
      ),
      body: BodyView(
        child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text(text, style: TextStyle(fontSize: 24.0, fontWeight: FontWeight.bold), textAlign: TextAlign.center),
              info != null ? Padding(
                padding: const EdgeInsets.all(8.0),
                child: Text(info, textAlign: TextAlign.center, style: TextStyle(color: Colors.grey[600], fontSize: 16.0)),
              ) : Container(),
              child,
              ButtonView(
                  text: buttonText ?? "Next",
                  onPressed: validate ?? true ? navigate : null
              ),
              footer ?? Container()
            ]
        ),
      )
    );
  }
}
